package com.ruoyi.common.constant;

/**
 * 岗检问题状态枚举
 */
public enum PostCheckedProblemEnum {
    //状态：
    // 1-待指定整改人（问题录入完成时）；
    // 2-待填写方案（部门管理员指定整改人后）；
//            3-方案填写完成；
    // 10-部门审核通过；
    // 11-部门审核驳回；
    // 20-专业部门人审核（非必填）通过；
    // 21-专业部门人审核驳回（非必填）；
    // 30-整改人待上传实施（整改人上传实施图片）
//            31-上传实施照片完成；
    // 40-复查部门人审核通过；
    // 41-复查部门人审核驳回






    ADD("待指定整改人（问题录入完成时）；", 1),
    EDIT_ONE("待填写方案（部门管理员指定整改人后）；", 2),
    EDIT_ONE_OVER("方案填写完成", 2),

    DEPT_PASS("部门审核通过；", 10),
    DEPT_BACK("部门审核驳回；", 11),

    ZHUAN_YE_PASS("专业部门人审核（非必填）通过；", 20),
    ZHUAN_YE_BACK("专业部门人审核驳回（非必填）；", 21),

    EDIT_TWO("整改人待上传实施（整改人上传实施图片）", 30),
    EDIT_TWO_OVER("上传实施照片完成", 30),

    FU_CHA_PASS("复查部门人审核通过；", 40),
    FU_CHA_BACK("复查部门人审核驳回", 41);

    private String name;
    private Integer value;

    PostCheckedProblemEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
